is_empty.hpp File Reference
`#include <msgpack/preprocessor/config/config.hpp>`
`#include <msgpack/preprocessor/cat.hpp>`
`#include <msgpack/preprocessor/detail/split.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_IS_EMPTY(x) MSGPACK_PP_IS_EMPTY_I((MSGPACK_PP_IS_EMPTY_HELPER x ()))
#define | MSGPACK_PP_IS_EMPTY_I(par) MSGPACK_PP_IS_EMPTY_II ## par
#define | MSGPACK_PP_IS_EMPTY_II(test) MSGPACK_PP_SPLIT(0, MSGPACK_PP_CAT(MSGPACK_PP_IS_EMPTY_DEF_, test))
#define | MSGPACK_PP_IS_EMPTY_HELPER() 1
#define | MSGPACK_PP_IS_EMPTY_DEF_1 1, MSGPACK_PP_NIL
#define | MSGPACK_PP_IS_EMPTY_DEF_MSGPACK_PP_IS_EMPTY_HELPER 0, MSGPACK_PP_NIL

## Macro Definition Documentation

## MSGPACK_PP_IS_EMPTY

#define MSGPACK_PP_IS_EMPTY | ( |  | x | ) | MSGPACK_PP_IS_EMPTY_I((MSGPACK_PP_IS_EMPTY_HELPER x ()))

## MSGPACK_PP_IS_EMPTY_DEF_1

#define MSGPACK_PP_IS_EMPTY_DEF_1 1, MSGPACK_PP_NIL

## MSGPACK_PP_IS_EMPTY_DEF_MSGPACK_PP_IS_EMPTY_HELPER

#define MSGPACK_PP_IS_EMPTY_DEF_MSGPACK_PP_IS_EMPTY_HELPER 0, MSGPACK_PP_NIL

## MSGPACK_PP_IS_EMPTY_HELPER

#define MSGPACK_PP_IS_EMPTY_HELPER | ( |  | ) | 1

## MSGPACK_PP_IS_EMPTY_I

#define MSGPACK_PP_IS_EMPTY_I | ( |  | par | ) | MSGPACK_PP_IS_EMPTY_II ## par

## MSGPACK_PP_IS_EMPTY_II

#define MSGPACK_PP_IS_EMPTY_II | ( |  | test | ) | MSGPACK_PP_SPLIT(0, MSGPACK_PP_CAT(MSGPACK_PP_IS_EMPTY_DEF_, test))